<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>phpCAS Member List</h1>This is the complete list of members for <a class="el" href="classphp_c_a_s.html">phpCAS</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#gaa9c3f3e035061c3c920aa9e25f6a86f3">authenticate</a>()</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__internal_debug.html#ga232755cd38f88fb8294db362cb2be107">backtrace</a>()</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#gaba62986d4729cb8e9ee3b1ad07f295e7">checkAuthentication</a>()</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_init.html#gacc9952fabf1ad3d282ebfcb2a7722f04">client</a>($server_version, $server_hostname, $server_port, $server_uri, $start_session=true)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__internal_debug.html#ga11258505b061aae4683a3717206c187c">error</a>($msg)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#gac9d8abbb3b2d3b2eddf496d805f79649">forceAuthentication</a>()</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#ga6cc82e2084b937d570edd5e7c4f23245">getServerLoginURL</a>()</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#ga87190fbc1b234e43445d310f0767388e">getServerLogoutURL</a>()</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#ga83b187507ed58d105cc0ac38047747c4">getServiceURL</a>()</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#gad145e405b1f4b4e93239a255736df893">getUser</a>()</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public.html#gaba9981b7e9d000cd2023da901c2b71dd">getVersion</a>()</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#ga08177ed3360e5772a0d7cfe5463ab945">handleLogoutRequests</a>($check_client=true, $allowed_clients=false)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#ga38f5c54cfbc7009cff06b1c966e24add">isAuthenticated</a>()</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#gae0f455ca04d3fcf0d285e91a6a795db4">isSessionAuthenticated</a>()</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__internal_debug.html#ga92fcedb5a6fa8bd08bcfdde22d01c1eb">log</a>($str)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#ga249fefb16da413b4b81fdeb8bd014ad4">logout</a>($params=&quot;&quot;)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#ga8231548d961e8e15cefa39c8fda9f767">logoutWithRedirectService</a>($service)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#gab61884d57b47ef7abba326108a2ab690">logoutWithRedirectServiceAndUrl</a>($service, $url)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#gaf78c3a6033369e48a9618144f31a9d01">logoutWithUrl</a>($url)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_init.html#ga9926765840fa60ad4a815dc63b79dbe3">proxy</a>($server_version, $server_hostname, $server_port, $server_uri, $start_session=true)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#ga62e4c5c20de162ea260d1359c14b54ad">renewAuthentication</a>()</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#ga8db51c365c490fa357f464f2a1f40dd4">retrievePT</a>($target_service, &amp;$err_code, &amp;$err_msg)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_services.html#gad04b046c8ce9966b67b165640dcffd81">serviceMail</a>($url, $flags, &amp;$err_code, &amp;$err_msg, &amp;$pt)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_services.html#ga4e456e39f1f35df6b3e6b613a698ea1e">serviceWeb</a>($url, &amp;$err_code, &amp;$output)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#ga0fee5c5f97076e491e3b0ce0eb620a8b">setCacheTimesForAuthRecheck</a>($n)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#gad614b11ad8e3940dbe46839c51616053">setCasServerCACert</a>($cert)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#ga75c303e6a6489da4c0e256ec707f1d6f">setCasServerCert</a>($cert)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_debug.html#ga2c18e41d018545f952b9fcd4ece9dfef">setDebug</a>($filename='')</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classphp_c_a_s.html#adc1b2b61a8b7b5119fd7a332d5b52e3a">setExtraCurlOption</a>($key, $value)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#ga971d20eb2bd2f44f9f2c7726ddc1cc7c">setFixedCallbackURL</a>($url='')</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#gaf3637761775aa2373727bdb1ced7b2c8">setFixedServiceURL</a>($url)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_output.html#gaa7e83f0e854ede5c6fcdbf69bfa2b268">setHTMLFooter</a>($footer)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_output.html#ga8e807be420013a1089d7b3b29f90212a">setHTMLHeader</a>($header)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_lang.html#ga1bcf4b4f6cb5d5a969c0ebd47c0aa108">setLang</a>($lang)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#gacd9bd0c52d0c72a5d746365c4808527a">setNoCasServerValidation</a>()</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_p_g_t_storage.html#ga37768bd3d1f1b5f48cdc2921f990f71b">setPGTStorageDB</a>($user, $password, $database_type='', $hostname='', $port=0, $database='', $table='')</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_p_g_t_storage.html#ga38e4d5efa6e408ca9404e3e64dafd669">setPGTStorageFile</a>($format='', $path='')</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#ga5711a76cc9d372ceea39e20dbc755df4">setServerLoginURL</a>($url='')</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__public_auth.html#ga6581de12d8a8374149d5110dc6412034">setServerLogoutURL</a>($url='')</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__internal_debug.html#ga8939d840392aa6cf54b57f2e28b77419">trace</a>($str)</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__internal_debug.html#ga96b9ac0ffbf2ee8c4754c6ca878eb2d6">traceBegin</a>()</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__internal_debug.html#gaf19e79b09517570e32a8e597a096dc76">traceEnd</a>($res='')</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__internal_debug.html#ga38887ed1896e7ba9f0e440a3d8ef17ae">traceExit</a>()</td><td><a class="el" href="classphp_c_a_s.html">phpCAS</a></td><td></td></tr>
</table></div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:57 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
